Bug 580150 - [abrt] crash in tortoisehg-1.0.1-1.fc12: status.py:862:update_diff_header:IndexError: list index out of range
Summary: [abrt] crash in tortoisehg-1.0.1-1.fc12: status.py:862:update_diff_header:Ind...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tortoisehg
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dcf93ff4
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-07 15:21 UTC by Mads Kiilerich
Modified: 2010-06-02 18:00 UTC (History)
1 user (show)

Fixed In Version: tortoisehg-1.0.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-02 17:58:36 UTC


Attachments (Terms of Use)
File: backtrace (951 bytes, text/plain)
2010-04-07 15:21 UTC, Mads Kiilerich
no flags Details

Description Mads Kiilerich 2010-04-07 15:21:20 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/hgtk ci
comment: Clicking around trying to reproduce http://bitbucket.org/tortoisehg/stable/issue/1137/
component: tortoisehg
executable: /usr/bin/hgtk
kernel: 2.6.32.10-90.fc12.i686.PAE
package: tortoisehg-1.0.1-1.fc12
reason: status.py:862:update_diff_header:IndexError: list index out of range
release: Fedora release 12 (Constantine)

backtrace
-----
status.py:862:update_diff_header:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/status.py", line 486, in cbclick
    post(not state)
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/status.py", line 1510, in sel_clicked
    self.update_chunk_state(entry)
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/status.py", line 836, in update_chunk_state
    self.update_diff_header(self.diffmodel, wfile, selected)
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/status.py", line 862, in update_diff_header
    newtext = chunks[0].selpretty(sel)
IndexError: list index out of range

Local variables in innermost frame:
wfile: 'REMOVABLE'
dmodel: <gtk.ListStore object at 0x8a18734 (GtkListStore at 0x8832798)>
self: <GCommit object at 0xb71bc66c (GtkWindow at 0x87a5040)>
selected: False
lasthunk: -1
chunks: []
sel: <function <lambda> at 0x93aafb4>

Comment 1 Mads Kiilerich 2010-04-07 15:21:22 UTC
Created attachment 404990 [details]
File: backtrace

Comment 2 Mads Kiilerich 2010-04-07 15:24:26 UTC
This brings hgtk ci into a state where clicking the column-header-checkbox adds/removes just one checkbox-line below it and then issues this stacktrace.

Comment 3 Mads Kiilerich 2010-04-07 15:31:08 UTC
1. Take one modified file with two chunks and some untracked files.
2. tab Hunk Selection: double click a chunk and get radiobutton instead of checkbox
3. tab Commit Preview: looks nice
4. column header checkbox: click to select all
5. click again to get this crash and see that the edited file and the first unkown is unchecked while the rest remains checked.
6. click again to remove checkmarks one at a time

Comment 5 Mads Kiilerich 2010-04-08 08:35:55 UTC
Fixed upstream for 1.0.2

Comment 6 Fedora Update System 2010-05-16 21:24:24 UTC
tortoisehg-1.0.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc13

Comment 7 Fedora Update System 2010-05-16 21:25:49 UTC
tortoisehg-1.0.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc12

Comment 8 Fedora Update System 2010-05-16 21:26:25 UTC
tortoisehg-1.0.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc11

Comment 9 Fedora Update System 2010-05-17 18:50:36 UTC
tortoisehg-1.0.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc11

Comment 10 Fedora Update System 2010-05-17 19:04:02 UTC
tortoisehg-1.0.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc13

Comment 11 Fedora Update System 2010-05-17 19:05:12 UTC
tortoisehg-1.0.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.0.3-1.fc12

Comment 12 Fedora Update System 2010-06-02 17:58:23 UTC
tortoisehg-1.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-06-02 17:58:56 UTC
tortoisehg-1.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-06-02 18:00:42 UTC
tortoisehg-1.0.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.